Bug 56758 - [GNOME goal] Port to Python 3
Summary: [GNOME goal] Port to Python 3
Status: RESOLVED FIXED
Alias: None
Product: Telepathy
Classification: Unclassified
Component: tp-glib (show other bugs)
Version: git master
Hardware: Other All
: medium normal
Assignee: Simon McVittie
QA Contact: Telepathy bugs list
URL: http://cgit.freedesktop.org/~smcv/tel...
Whiteboard: review?
Keywords: patch
Depends on:
Blocks:
 
Reported: 2012-11-05 08:20 UTC by Guillaume Desmottes
Modified: 2013-01-28 14:02 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
Make the code generation tools work under either Python 2 or 3 (23.04 KB, patch)
2013-01-03 12:37 UTC, Simon McVittie
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Guillaume Desmottes 2012-11-05 08:20:55 UTC
Python 3 is a GNOME 3.8 goal. We should make sure that our Python examples and internal tools (like the code gen) works fine with Python 3.

https://live.gnome.org/GnomeGoals/Python3Porting
Comment 1 Simon McVittie 2012-11-05 10:56:28 UTC
For the tp-glib codegen, I consider the appropriate level of testing to be "build with Python 2, save the _gen directory, build with Python 3, check that the generated files are identical".
Comment 2 Simon McVittie 2013-01-03 12:37:11 UTC
Created attachment 72444 [details] [review]
Make the code generation tools work under either Python 2 or  3

They have been verified to produce identical output in _gen.

---

Still to do: port and retest the examples. I don't plan to do that myself.
Comment 3 Xavier Claessens 2013-01-03 12:53:49 UTC
I'm far from python3 expert, but it looks correct. And since you checked output is the same, that's convincing :)
Comment 4 Simon McVittie 2013-01-28 14:02:35 UTC
Fixed in git for 0.21.0


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.